# BoolLiteral
Keywords: mycompiler.mystatement.BoolLiteral class

## mycompiler.mystatement
Class BoolLiteral

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.Literal
                      mycompiler.mystatement.BoolLiteral

All Implemented Interfaces:
  ITypeReplacementListener

    public class BoolLiteral

extends Literal

Field Summary

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Fields inherited from class mycompiler.mystatement.ExprStmt
`type`

Constructor Summary
`BoolLiteral()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Name()`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_Bool(boolean b)`
`CTripleSet` `TRExp(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Workaround: �berschreibt Methode TRExp aus der Super-Klasse `Literal`, weil die Implementierung von Unify (noch) nicht mit Basetypes umgehen kann.
`CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoolLiteral

    public BoolLiteral()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

  Specified by:
    `sc_check` in class `Expr`

### set_Bool

    public void set_Bool(boolean b)

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Specified by:
    `TRStatement` in class `Statement`

### TRExp

    public CTripleSet TRExp(CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Workaround: �berschreibt Methode TRExp aus der Super-Klasse `Literal`, weil die Implementierung von Unify (noch) nicht mit Basetypes umgehen kann.
  Anstatt den Basetype `BooleanType` zur�ckzugeben, wird ein `RefType` zur�ckgegeben.
  Diese Methode kann sp�ter entfernt werden, sodass automatisch die Methode der Super-Klasse verwendet wird.
  Author: J�rg B�uerle

  Overrides:
    `TRExp` in class `Literal`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns: